Name: libtasn1
Version: 4.10
Release: 3
License: GPLv3
Summary: libtasn1
Url: https://www.gnu.org/software/libtasn1/

BuildRequires: autoconf
BuildRequires: automake
BuildRequires: libtool

Source0: https://ftp.gnu.org/pub/gnu/libtasn1/libtasn1-%{version}.tar.gz

%description
Libtasn1 is the ASN.1 library used by GnuTLS, GNU Shishi and some other packages. It was written by Fabio Fiorina, and has been shipped as part of GnuTLS for some time but is now a proper GNU package.

The goal of this implementation is to be highly portable, and only require an ANSI C99 platform.

%package -n libtasn1-6
Summary: ASN.1 library
License: LGPLv2.1

%description -n libtasn1-6
Libtasn1 is the ASN.1 library used by GnuTLS, GNU Shishi and some other packages. It was written by Fabio Fiorina, and has been shipped as part of GnuTLS for some time but is now a proper GNU package.

The goal of this implementation is to be highly portable, and only require an ANSI C99 platform.

%package devel
Summary: ASN.1 development headers
Requires: libtasn1-6 = %{version}

%description devel
Libtasn1 is the ASN.1 library used by GnuTLS, GNU Shishi and some other packages. It was written by Fabio Fiorina, and has been shipped as part of GnuTLS for some time but is now a proper GNU package.

The goal of this implementation is to be highly portable, and only require an ANSI C99 platform.


%prep
%setup -q

%build

autoreconf -fi

%configure \
  CFLAGS="$CFLAGS -D__PASE__ -D_ALL_SOURCE" \
  CPPFLAGS='-I%{_includedir}' \
  LDFLAGS="-Wl,-brtl -Wl,-blibpath:%{_libdir}:/QOpenSys/usr/lib -L%{_libdir}" \
  --with-aix-soname=svr4 \
  --disable-static
  
%make_build

%install

%make_install

rm %{buildroot}/%{_libdir}/*.la || :

%files
%defattr(-, qsys, *none)

%{_bindir}/asn1Parser
%{_bindir}/asn1Coding
%{_bindir}/asn1Decoding

%{_mandir}/man1/*
%{_mandir}/man3/*


%files -n libtasn1-6
%defattr(-, qsys, *none)

%{_libdir}/libtasn1.so.6*


%files devel
%defattr(-, qsys, *none)

%{_libdir}/libtasn1.so
%{_libdir}/pkgconfig/libtasn1.pc

%{_includedir}/libtasn1.h

%{_infodir}/libtasn1.info

%changelog
